function FileData_Pairs(x)
{
x.t("example","firmware");
x.t("pattern","readfrommodule");
x.t("&brecordlen","send");
x.t("&brecordlen","brecorddata");
x.t("\u00adgramming","language");
x.t("void","doupdate");
x.t("download","program");
x.t("download","utility");
x.t("download","protocol");
x.t("program","asc0/asc1");
x.t("readfrommodule","&banswer");
x.t("brecordlen","byte");
x.t("brecordlen","wait");
x.t("brecordlen","max_record_size");
x.t("start","pattern");
x.t("(void)","byte");
x.t("command","writetomodule");
x.t("file","brecordlen");
x.t("3.2.2.1","example");
x.t("answer_busy","banswer");
x.t("3.2","requirements");
x.t("sfdl\\r","wait");
x.t("requirements","firmware");
x.t("byte","brecordlen");
x.t("byte","sfdl\\r");
x.t("byte","banswer");
x.t("byte","brecorddata");
x.t("&banswer","answer_busy");
x.t("&banswer","answer_ok");
x.t("wait","start");
x.t("wait","answer");
x.t("generic","firmware");
x.t("pro","\u00adgramming");
x.t("max_record_size","filereadrecord");
x.t("record","file");
x.t("record","writetomodule");
x.t("filereadrecord","&brecordlen");
x.t("error","return");
x.t("answer_ok","banswer");
x.t("widely","used");
x.t("length","record");
x.t("presents","example");
x.t("language","void");
x.t("section","presents");
x.t("banswer","byte");
x.t("banswer","answer_ok");
x.t("banswer","answer_retry");
x.t("banswer","read");
x.t("banswer","fileend");
x.t("return","wait");
x.t("firmware","download");
x.t("firmware","update");
x.t("answer_retry","banswer");
x.t("figure","download");
x.t("send","command");
x.t("send","length");
x.t("send","data");
x.t("brecorddata","brecordlen");
x.t("brecorddata","send");
x.t("brecorddata","[max_record_size]");
x.t("read","record");
x.t("data","record");
x.t("3.2.2","download");
x.t("utility","3.2.2");
x.t("utility","based");
x.t("answer","readfrommodule");
x.t("answer","readresultlinefrommodule");
x.t("protocol","asc0");
x.t("asc0","asc1");
x.t("based","widely");
x.t("asc1","3.2.2.1");
x.t("asc1","generic");
x.t("asc1","figure");
x.t("asc1","3.2.2");
x.t("writetomodule","&brecordlen");
x.t("writetomodule","byte");
x.t("writetomodule","brecorddata");
x.t("used","pro");
x.t("asc0/asc1","section");
x.t("doupdate","(void)");
x.t("[max_record_size]","send");
x.t("readresultlinefrommodule","error");
x.t("update","3.2");
}
